Retrieve a sales-tax group item
Retrieves a sales-tax group item by ID.
IMPORTANT: If you need to fetch multiple specific sales-tax group items by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.
Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the sales-tax group item to retrieve.
36"80000001-1234567890"
Response
Returns the specified sales-tax group item.
The unique identifier assigned by QuickBooks to this sales-tax group item. This ID is unique across all sales-tax group items but not across different QuickBooks object types.
"80000001-1234567890"
The type of object. This value is always "qbd_sales_tax_group_item".
"qbd_sales_tax_group_item""qbd_sales_tax_group_item"
The date and time when this sales-tax group item was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this sales-tax group item was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this sales-tax group item object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this sales-tax group item, unique across all sales-tax group items.
NOTE: Sales-tax group items do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
"Standard Tax Group"
The sales-tax group item's barcode.
"012345678905"
Indicates whether this sales-tax group item is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to true.
true
The sales-tax group item's description that will appear on sales forms that include this item.
"Combined city, county, and state sales tax"
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
"12345678-abcd-1234-abcd-1234567890ab"
The sales-tax items that make up this sales-tax group item. QuickBooks Desktop applies these sales-tax items together as one tax selection while tracking each sales tax separately.
[
{
"id": "80000001-1234567890",
"fullName": "State Sales Tax"
}
]The custom fields for the sales-tax group item object, added as user-defined data extensions, not included in the standard QuickBooks object.

